跳到內容

協會的公開文件

GET
/v1/aps/{slug}/documents
curl --request GET \
--url https://api.vimine.network/v1/aps/example/documents

協會在其文件庫中公開的文件——成立章程、舊版章程、其他文書——每份包括類型、標題、日期和原件位址。會議記錄或已核准的財務報表絕不會出現在這裡。唯讀;現行章程和規章各有自己的介面。

slug
必填
string

公開文件

媒體類型application/json
object
aps
必填
object
slug
必填
string
name
必填
string
documents
必填
Array<object>
object
uid
必填
string 格式: uuid
kind
必填

Founding_act · past_statute · other(會議記錄或財務報表絕不公開)

string
允許的值: founding_act past_statute accounts minutes other
title
必填
string
act_date

文書的日期

string 格式: date
可為 null
period

財務報表所屬的會計年度(2025、2025/2026)

string
可為 null
pages
integer
可為 null
bytes
integer
可為 null
content_type

Application/pdf、image/jpeg 或 image/png

string
可為 null
sha256

原件上傳時的 SHA-256

string
可為 null
url
必填

GET 以 302 轉向一個十五分鐘內有效的原件連結——需要時再請求,不要保存

string 格式: uri
範例
{
"documents": [
{
"kind": "founding_act"
}
]
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

協會不存在,或未開放公開存取

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}